> For the complete documentation index, see [llms.txt](https://docs.bisnode.ee/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bisnode.ee/user/getprofile.md).

# getProfile

## getProfile

<mark style="color:green;">`POST`</mark> `https://in.bisnode.ee/rest/getProfile`

Example cURL command\
`curl -X POST -k -H 'Content-type: application/json' -i 'https://in.bisnode.ee/rest/getProfile' --data '{"email":"example@bisnode.ee","pass":"11111111111"}'`

#### Request Body

| Name  | Type   | Description      |
| ----- | ------ | ---------------- |
| email | string | Email of account |
| pass  | string | Password         |

{% tabs %}
{% tab title="200 User found" %}

```
{
  "email": "example@bisnode.ee",
  "name": "Firstname Lastname",
  "company_name": "Bisnode AS",
  "reg_code": "10117826",
  "address": "Pronksi 12, Tallinn 10117",
  "role": "list,of,roles",
  "token": "xxxxxxxxxxxxxxx",
  "created": "2014-01-01 12:00:00"
}
```

{% endtab %}

{% tab title="404 User not found" %}

```
{
  "error": "error",
  "code": 404,
  "message": "No such user"
}

```

{% endtab %}
{% endtabs %}

This request can be used for authorizarion, then you can store `token` parameter from response to the session for later usage in other requests.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.bisnode.ee/user/getprofile.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
